mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Messaging.IInternalMessage System.Runtime.Remoting.Messaging.IMethodReturnMessage System.Runtime.Remoting.Messaging.ISerializationRootObject System.Runtime.Serialization.ISerializable System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

A is generated as a result of a method called on a remote object, and is used to return the results of the method call back to the caller. The message includes a return value and out arguments.

The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

contains remoting data at the end of the message sink. A remoting server returns a message to a client.

Implements the interface to create a message that acts as a method response on a remote object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

  Initializes a new instance of the class from an array of remoting headers and a request message.

  An array of remoting headers that contains key/value pairs. This array is used to initialize fields for headers that belong to the namespace "http://schemas.microsoft.com/clr/soap/messageProperties".
  A request message that acts as a method call on a remote object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The method belongs to a remote object.

  Gets the number of arguments passed to the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []'

  The method belongs to a remote object.

  Gets an array of arguments passed to the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception To be added: an object of type 'Exception'

  The method belongs to a remote object.

  Gets the exception thrown during the method call, or null if the method did not throw an exception.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary

  The field is also accessible through the property.

  Specifies an interface that represents a collection of the remoting message's properties.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method belongs to a remote object.

  Gets a method argument, as an object, at a specified index.

  The method argument as an object.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method belongs to a remote object.

  Gets the name of a method argument at a specified index.

  The name of the method argument.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method throws a .

  The method is not implemented.

  Data for serializing or deserializing the remote object. Context of a certain serialized stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method belongs to a remote object.

  Returns the specified argument marked as a ref parameter or an out parameter.

  The specified argument marked as a ref parameter or an out parameter.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method belongs to a remote object.

  Returns the name of the specified argument marked as a ref parameter or an out parameter.

  The argument name, or null if the current method is not implemented.

  The index of the requested argument.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The method belongs to a remote object.

  Gets a value that indicates whether the method can accept a variable number of arguments.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method belongs to a remote object. The value of the first header in the input array is the method name.

  Initializes an internal serialization handler from an array of remoting headers that are applied to a method.

  An internal serialization handler.

  An array of remoting headers that contain key/value pairs. This array is used to initialize fields for headers that belong to the namespace "http://schemas.microsoft.com/clr/soap/messageProperties".
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added

  Specifies an interface that represents a collection of the remoting message's properties.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.LogicalCallContext To be added: an object of type 'LogicalCallContext'

  The method belongs to a remote object.

  Gets the for the current method call.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added: an object of type 'Reflection.MethodBase'

  The method belongs to a remote object.

  Gets the of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The method belongs to a remote object.

  Gets the name of the invoked method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The method belongs to a remote object.

  Gets an object that contains the method signature.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The method belongs to a remote object.

  Gets the number of arguments in the method call marked as ref or out parameters.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []'

  The method belongs to a remote object.

  Gets an array of arguments in the method call that are marked as ref or out parameters.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary'

  The property returns the value of the field.

  Gets an interface that represents a collection of the remoting message's properties.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The method belongs to a remote object.

  Gets the return value of the method call.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method belongs to a remote object.

  Sets method information from serialization settings.

  The data for serializing or deserializing the remote object. The context of a certain serialized stream.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Identity To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the full type name of the remote object on which the method call is being made.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the Uniform Resource Identifier (URI) of the remote object on which the method call is being made.